This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

Author georg.brandl
Recipients georg.brandl, mark.dickinson
Date 2008-07-20.22:35:17
SpamBayes Score 0.0159978
Marked as misclassified No
Message-id <1216593413.69.0.163323698649.issue3421@psf.upfronthosting.co.za>
In-reply-to
Content
In Py3k, but not in trunk:

======================================================================
FAIL: testSum (test.test_math.MathTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/gbr/devel/python3k/Lib/test/test_math.py", line 769, in
testSum
    self.assertEqual(math.sum(vals), s)
OverflowError: math range error

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/gbr/devel/python3k/Lib/test/test_math.py", line 772, in
testSum
    "for math.sum(%.100r)" % (i, s, vals))
AssertionError: test 13 failed: got OverflowError, expected
1.7976931348623157e+308 for math.sum([1.7976931348623157e+308,
9.979201547673598e+291])

System info: linux x86, glibc 2.8
History
Date User Action Args
2008-07-20 22:36:54georg.brandlsetspambayes_score: 0.0159978 -> 0.0159978
recipients: + georg.brandl, mark.dickinson
2008-07-20 22:36:53georg.brandlsetspambayes_score: 0.0159978 -> 0.0159978
messageid: <1216593413.69.0.163323698649.issue3421@psf.upfronthosting.co.za>
2008-07-20 22:35:19georg.brandllinkissue3421 messages
2008-07-20 22:35:18georg.brandlcreate